%global modname tqdm

%bcond_with tests

Name:           python-%{modname}
Version:        4.55.0
Release:        %mkrel 1
Summary:        A Fast, Extensible Progress Meter
Group:          Development/Python
# see PACKAGE-LICENSING for more info
License:        MPLv2.0 and MIT
URL:            https://tqdm.github.io/
Source0:        https://files.pythonhosted.org/packages/source/t/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

%global _description \
tqdm (read taqadum, تقدّم) means "progress" in Arabic.\
\
Instantly make your loops show a smart progress meter - just wrap any iterable\
with "tqdm(iterable)", and you are done!

%description %{_description}

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools_scm+toml
%if %{with tests}
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(flake8)
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(pandas)
%endif
Recommends:     python3dist(pandas)
Recommends:     python3dist(numpy)

%description -n python3-%{modname} %{_description}

%prep
%autosetup -p1 -n %{modname}-%{version}

%build
%py3_build

%install
%py3_install

mkdir -p %{buildroot}%{_mandir}/man1
mv -v %{buildroot}%{python3_sitelib}/%{modname}/%{modname}.1 %{buildroot}%{_mandir}/man1/

%if %{with tests}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{modname}
%license LICENCE
%doc README.rst examples
%{_bindir}/%{modname}
%{_mandir}/man1/%{modname}.1*
%{python3_sitelib}/%{modname}-*.egg-info/
%{python3_sitelib}/%{modname}/


%changelog
* Wed Dec 30 2020 akien <akien> 4.55.0-1.mga8
+ Revision: 1665974
- Version 4.55.0, BR setuptools-scm[toml]

* Wed Dec 30 2020 akien <akien> 4.52.0-1.mga8
+ Revision: 1665937
- Down to version 4.52.0 (4.55.0 never built)
  4.53+ require pip and networking to setup dependencies...
- Version 4.55.0

* Thu Oct 29 2020 joequant <joequant> 4.51.0-1.mga8
+ Revision: 1640454
- update to 4.51.0

* Tue Feb 18 2020 umeabot <umeabot> 4.41.0-2.mga8
+ Revision: 1541779
- Mageia 8 Mass Rebuild

* Wed Jan 01 2020 wally <wally> 4.41.0-1.mga8
+ Revision: 1475171
- new version 4.41.0

* Tue Sep 17 2019 daviddavid <daviddavid> 4.29.1-3.mga8
+ Revision: 1442810
- rebuild for python3.8

* Mon Sep 16 2019 tv <tv> 4.29.1-2.mga8
+ Revision: 1442601
- rebuild for python-3.8
- drop python2 subpkg

* Sat Jan 12 2019 wally <wally> 4.29.1-1.mga7
+ Revision: 1355557
- new version 4.29.1
+ tmb <tmb>
- rebuild for python 3.7
+ tv <tv>
- rebuild with python 3.7

* Wed Dec 12 2018 akien <akien> 4.28.1-1.mga7
+ Revision: 1340504
- Version 4.28.1

* Fri Sep 21 2018 umeabot <umeabot> 4.15.0-2.mga7
+ Revision: 1290432
- Mageia 7 Mass Rebuild

* Sat Aug 26 2017 akien <akien> 4.15.0-1.mga7
+ Revision: 1148018
- Version 4.15.0

* Sat Aug 05 2017 pterjan <pterjan> 4.14.0-3.mga7
+ Revision: 1135668
- Rebuild for python 3.6

* Wed Jun 07 2017 akien <akien> 4.14.0-2.mga6
+ Revision: 1107226
- Skip perf tests with nose as they might fail on the BS

* Sat Jun 03 2017 akien <akien> 4.14.0-1.mga6
+ Revision: 1105878
- Version 4.14.0
- Version 4.11.2

* Sat Feb 11 2017 akien <akien> 4.11.1-1.mga6
+ Revision: 1085720
- Adapt for Mageia
- import python-tqdm from Fedora 26

